Index: XIOS/dev/dev_ym/XIOS_COUPLING/src/interface/fortran/idata.F90
===================================================================
--- XIOS/dev/dev_ym/XIOS_COUPLING/src/interface/fortran/idata.F90	(revision 2115)
+++ XIOS/dev/dev_ym/XIOS_COUPLING/src/interface/fortran/idata.F90	(revision 2121)
@@ -636,4 +1020,13 @@
    END SUBROUTINE  xios(send_field_r4_4d)
 
+   SUBROUTINE  xios(send_field_r4_5d_hdl)(field_hdl, data5d_k4)
+   IMPLICIT NONE
+      TYPE(txios(field))              :: field_hdl
+      REAL     (kind = 4), DIMENSION(*), INTENT(IN) :: data5d_k4(:,:,:,:,:)
+      CALL cxios_write_data_k45_hdl(field_hdl%daddr, data5d_k4, &
+                                size(data5d_k4, 1), size(data5d_k4, 2), size(data5d_k4, 3), &
+                                size(data5d_k4, 4), size(data5d_k4, 5))
+   END SUBROUTINE  xios(send_field_r4_5d_hdl)
+
    SUBROUTINE  xios(send_field_r4_5d)(fieldid, data5d_k4)
    IMPLICIT NONE
@@ -645,4 +1038,13 @@
    END SUBROUTINE  xios(send_field_r4_5d)
 
+   SUBROUTINE  xios(send_field_r4_6d_hdl)(field_hdl, data6d_k4)
+   IMPLICIT NONE
+      TYPE(txios(field))              :: field_hdl
+      REAL     (kind = 4), DIMENSION(*), INTENT(IN) :: data6d_k4(:,:,:,:,:,:)
+      CALL cxios_write_data_k46_hdl(field_hdl%daddr, data6d_k4, &
+                                size(data6d_k4, 1), size(data6d_k4, 2), size(data6d_k4, 3), &
+                                size(data6d_k4, 4), size(data6d_k4, 5), size(data6d_k4, 6))
+   END SUBROUTINE  xios(send_field_r4_6d_hdl)
+   
    SUBROUTINE  xios(send_field_r4_6d)(fieldid, data6d_k4)
    IMPLICIT NONE
@@ -654,4 +1056,14 @@
    END SUBROUTINE  xios(send_field_r4_6d)
 
+   SUBROUTINE  xios(send_field_r4_7d_hdl)(field_hdl, data7d_k4)
+   IMPLICIT NONE
+      TYPE(txios(field))              :: field_hdl
+      REAL     (kind = 4), DIMENSION(*), INTENT(IN) :: data7d_k4(:,:,:,:,:,:,:)
+      CALL cxios_write_data_k47_hdl(field_hdl%daddr, data7d_k4, &
+                                size(data7d_k4, 1), size(data7d_k4, 2), size(data7d_k4, 3), &
+                                size(data7d_k4, 4), size(data7d_k4, 5), size(data7d_k4, 6), &
+                                size(data7d_k4, 7))
+   END SUBROUTINE  xios(send_field_r4_7d_hdl)
+   
    SUBROUTINE  xios(send_field_r4_7d)(fieldid, data7d_k4)
    IMPLICIT NONE
@@ -665,4 +1077,11 @@
 
    ! Receive field functions
+   SUBROUTINE xios(recv_field_r8_0d_hdl)(field_hdl, data0d_k8)
+   IMPLICIT NONE
+      TYPE(txios(field))              :: field_hdl
+      REAL     (kind = 8)              , INTENT(OUT):: data0d_k8
+      CALL cxios_read_data_k80_hdl(field_hdl%daddr, data0d_k8, 1)
+   END SUBROUTINE xios(recv_field_r8_0d_hdl)
+
    SUBROUTINE xios(recv_field_r8_0d)(fieldid, data0d_k8)
    IMPLICIT NONE
@@ -672,4 +1091,11 @@
    END SUBROUTINE xios(recv_field_r8_0d)
 
+   SUBROUTINE xios(recv_field_r8_1d_hdl)(field_hdl, data1d_k8)
+   IMPLICIT NONE
+      TYPE(txios(field))              :: field_hdl
+      REAL     (kind = 8), DIMENSION(*), INTENT(OUT) :: data1d_k8(:)
+      CALL cxios_read_data_k81_hdl(field_hdl%daddr, data1d_k8, size(data1d_k8, 1))
+   END SUBROUTINE xios(recv_field_r8_1d_hdl)
+
    SUBROUTINE xios(recv_field_r8_1d)(fieldid, data1d_k8)
    IMPLICIT NONE
@@ -679,4 +1105,11 @@
    END SUBROUTINE xios(recv_field_r8_1d)
 
+   SUBROUTINE  xios(recv_field_r8_2d_hdl)(field_hdl, data2d_k8)
+   IMPLICIT NONE
+      TYPE(txios(field))              :: field_hdl
+      REAL     (kind = 8), DIMENSION(*), INTENT(OUT) :: data2d_k8(:,:)
+      CALL cxios_read_data_k82_hdl(field_hdl%daddr, data2d_k8, size(data2d_k8, 1), size(data2d_k8, 2))
+   END SUBROUTINE  xios(recv_field_r8_2d_hdl)
+
    SUBROUTINE  xios(recv_field_r8_2d)(fieldid, data2d_k8)
    IMPLICIT NONE
@@ -686,4 +1119,11 @@
    END SUBROUTINE  xios(recv_field_r8_2d)
 
+   SUBROUTINE  xios(recv_field_r8_3d_hdl)(field_hdl, data3d_k8)
+   IMPLICIT NONE
+      TYPE(txios(field))              :: field_hdl
+      REAL     (kind = 8), DIMENSION(*), INTENT(OUT) :: data3d_k8(:,:,:)
+      CALL cxios_read_data_k83_hdl(field_hdl%daddr, data3d_k8, size(data3d_k8, 1), size(data3d_k8, 2), size(data3d_k8, 3))
+   END SUBROUTINE  xios(recv_field_r8_3d_hdl)
+
    SUBROUTINE  xios(recv_field_r8_3d)(fieldid, data3d_k8)
    IMPLICIT NONE
@@ -692,4 +1132,13 @@
       CALL cxios_read_data_k83(fieldid, len(fieldid), data3d_k8, size(data3d_k8, 1), size(data3d_k8, 2), size(data3d_k8, 3))
    END SUBROUTINE  xios(recv_field_r8_3d)
+
+   SUBROUTINE  xios(recv_field_r8_4d_hdl)(field_hdl, data4d_k8)
+   IMPLICIT NONE
+      TYPE(txios(field))              :: field_hdl
+      REAL     (kind = 8), DIMENSION(*), INTENT(OUT) :: data4d_k8(:,:,:,:)
+      CALL cxios_read_data_k84_hdl(field_hdl%daddr, data4d_k8, &
+                                size(data4d_k8, 1), size(data4d_k8, 2), size(data4d_k8, 3), &
+                                size(data4d_k8, 4))
+   END SUBROUTINE  xios(recv_field_r8_4d_hdl)
 
    SUBROUTINE  xios(recv_field_r8_4d)(fieldid, data4d_k8)
@@ -702,4 +1151,13 @@
    END SUBROUTINE  xios(recv_field_r8_4d)
 
+   SUBROUTINE  xios(recv_field_r8_5d_hdl)(field_hdl, data5d_k8)
+   IMPLICIT NONE
+      TYPE(txios(field))              :: field_hdl
+      REAL     (kind = 8), DIMENSION(*), INTENT(OUT) :: data5d_k8(:,:,:,:,:)
+      CALL cxios_read_data_k85_hdl(field_hdl%daddr, data5d_k8, &
+                                size(data5d_k8, 1), size(data5d_k8, 2), size(data5d_k8, 3), &
+                                size(data5d_k8, 4), size(data5d_k8, 5))
+   END SUBROUTINE  xios(recv_field_r8_5d_hdl)
+
    SUBROUTINE  xios(recv_field_r8_5d)(fieldid, data5d_k8)
    IMPLICIT NONE
@@ -711,4 +1169,13 @@
    END SUBROUTINE  xios(recv_field_r8_5d)
 
+   SUBROUTINE  xios(recv_field_r8_6d_hdl)(field_hdl, data6d_k8)
+   IMPLICIT NONE
+      TYPE(txios(field))              :: field_hdl
+      REAL     (kind = 8), DIMENSION(*), INTENT(OUT) :: data6d_k8(:,:,:,:,:,:)
+      CALL cxios_read_data_k86_hdl(field_hdl%daddr, data6d_k8, &
+                                size(data6d_k8, 1), size(data6d_k8, 2), size(data6d_k8, 3), &
+                                size(data6d_k8, 4), size(data6d_k8, 5), size(data6d_k8, 6))
+   END SUBROUTINE  xios(recv_field_r8_6d_hdl)
+
    SUBROUTINE  xios(recv_field_r8_6d)(fieldid, data6d_k8)
    IMPLICIT NONE
@@ -720,5 +1187,15 @@
    END SUBROUTINE  xios(recv_field_r8_6d)
 
-   SUBROUTINE  xios(recv_field_r8_7d)(fieldid, data7d_k8)
+  SUBROUTINE  xios(recv_field_r8_7d_hdl)(field_hdl, data7d_k8)
+   IMPLICIT NONE
+      TYPE(txios(field))              :: field_hdl
+      REAL     (kind = 8), DIMENSION(*), INTENT(OUT) :: data7d_k8(:,:,:,:,:,:,:)
+      CALL cxios_read_data_k87_hdl(field_hdl%daddr, data7d_k8, &
+                                size(data7d_k8, 1), size(data7d_k8, 2), size(data7d_k8, 3), &
+                                size(data7d_k8, 4), size(data7d_k8, 5), size(data7d_k8, 6), &
+                                size(data7d_k8, 7))
+   END SUBROUTINE  xios(recv_field_r8_7d_hdl)
+
+  SUBROUTINE  xios(recv_field_r8_7d)(fieldid, data7d_k8)
    IMPLICIT NONE
       CHARACTER(len = *)               , INTENT(IN) :: fieldid
@@ -730,4 +1207,11 @@
    END SUBROUTINE  xios(recv_field_r8_7d)
 
+   SUBROUTINE xios(recv_field_r4_0d_hdl)(field_hdl, data0d_k4)
+   IMPLICIT NONE
+      TYPE(txios(field))              :: field_hdl
+      REAL     (kind = 4)              , INTENT(OUT):: data0d_k4
+      CALL cxios_read_data_k40_hdl(field_hdl%daddr, data0d_k4, 1)
+   END SUBROUTINE xios(recv_field_r4_0d_hdl)
+
    SUBROUTINE xios(recv_field_r4_0d)(fieldid, data0d_k4)
    IMPLICIT NONE
@@ -737,4 +1221,11 @@
    END SUBROUTINE xios(recv_field_r4_0d)
 
+   SUBROUTINE xios(recv_field_r4_1d_hdl)(field_hdl, data1d_k4)
+   IMPLICIT NONE
+      TYPE(txios(field))              :: field_hdl
+      REAL     (kind = 4), DIMENSION(*), INTENT(OUT) :: data1d_k4(:)
+      CALL cxios_read_data_k41_hdl(field_hdl%daddr, data1d_k4, size(data1d_k4, 1))
+   END SUBROUTINE xios(recv_field_r4_1d_hdl)
+
    SUBROUTINE xios(recv_field_r4_1d)(fieldid, data1d_k4)
    IMPLICIT NONE
@@ -744,4 +1235,11 @@
    END SUBROUTINE xios(recv_field_r4_1d)
 
+   SUBROUTINE xios(recv_field_r4_2d_hdl)(field_hdl, data2d_k4)
+   IMPLICIT NONE
+      TYPE(txios(field))              :: field_hdl
+      REAL     (kind = 4), DIMENSION(*), INTENT(OUT) :: data2d_k4(:,:)
+      CALL cxios_read_data_k42_hdl(field_hdl%daddr, data2d_k4, size(data2d_k4, 1), size(data2d_k4, 2))
+   END SUBROUTINE xios(recv_field_r4_2d_hdl)
+
    SUBROUTINE xios(recv_field_r4_2d)(fieldid, data2d_k4)
    IMPLICIT NONE
@@ -751,4 +1249,11 @@
    END SUBROUTINE xios(recv_field_r4_2d)
 
+   SUBROUTINE xios(recv_field_r4_3d_hdl)(field_hdl, data3d_k4)
+   IMPLICIT NONE
+      TYPE(txios(field))              :: field_hdl
+      REAL     (kind = 4), DIMENSION(*), INTENT(OUT) :: data3d_k4(:,:,:)
+      CALL cxios_read_data_k43_hdl(field_hdl%daddr, data3d_k4, size(data3d_k4, 1), size(data3d_k4, 2), size(data3d_k4, 3))
+   END SUBROUTINE xios(recv_field_r4_3d_hdl)
+
    SUBROUTINE xios(recv_field_r4_3d)(fieldid, data3d_k4)
    IMPLICIT NONE
@@ -757,4 +1262,13 @@
       CALL cxios_read_data_k43(fieldid, len(fieldid), data3d_k4, size(data3d_k4, 1), size(data3d_k4, 2), size(data3d_k4, 3))
    END SUBROUTINE xios(recv_field_r4_3d)
+
+   SUBROUTINE  xios(recv_field_r4_4d_hdl)(field_hdl, data4d_k4)
+   IMPLICIT NONE
+      TYPE(txios(field))              :: field_hdl
+      REAL     (kind = 4), DIMENSION(*), INTENT(OUT) :: data4d_k4(:,:,:,:)
+      CALL cxios_read_data_k44_hdl(field_hdl%daddr, data4d_k4, &
+                                size(data4d_k4, 1), size(data4d_k4, 2), size(data4d_k4, 3), &
+                                size(data4d_k4, 4))
+   END SUBROUTINE  xios(recv_field_r4_4d_hdl)
 
    SUBROUTINE  xios(recv_field_r4_4d)(fieldid, data4d_k4)
@@ -767,4 +1281,13 @@
    END SUBROUTINE  xios(recv_field_r4_4d)
 
+   SUBROUTINE  xios(recv_field_r4_5d_hdl)(field_hdl, data5d_k4)
+   IMPLICIT NONE
+      TYPE(txios(field))              :: field_hdl
+      REAL     (kind = 4), DIMENSION(*), INTENT(OUT) :: data5d_k4(:,:,:,:,:)
+      CALL cxios_read_data_k45_hdl(field_hdl%daddr, data5d_k4, &
+                                size(data5d_k4, 1), size(data5d_k4, 2), size(data5d_k4, 3), &
+                                size(data5d_k4, 4), size(data5d_k4, 5))
+   END SUBROUTINE  xios(recv_field_r4_5d_hdl)
+
    SUBROUTINE  xios(recv_field_r4_5d)(fieldid, data5d_k4)
    IMPLICIT NONE
@@ -776,4 +1299,13 @@
    END SUBROUTINE  xios(recv_field_r4_5d)
 
+   SUBROUTINE  xios(recv_field_r4_6d_hdl)(field_hdl, data6d_k4)
+   IMPLICIT NONE
+      TYPE(txios(field))              :: field_hdl
+      REAL     (kind = 4), DIMENSION(*), INTENT(OUT) :: data6d_k4(:,:,:,:,:,:)
+      CALL cxios_read_data_k46_hdl(field_hdl%daddr, data6d_k4, &
+                                size(data6d_k4, 1), size(data6d_k4, 2), size(data6d_k4, 3), &
+                                size(data6d_k4, 4), size(data6d_k4, 5), size(data6d_k4, 6))
+   END SUBROUTINE  xios(recv_field_r4_6d_hdl)
+
    SUBROUTINE  xios(recv_field_r4_6d)(fieldid, data6d_k4)
    IMPLICIT NONE
@@ -784,4 +1316,14 @@
                                 size(data6d_k4, 4), size(data6d_k4, 5), size(data6d_k4, 6))
    END SUBROUTINE  xios(recv_field_r4_6d)
+
+   SUBROUTINE  xios(recv_field_r4_7d_hdl)(field_hdl, data7d_k4)
+   IMPLICIT NONE
+      TYPE(txios(field))              :: field_hdl
+      REAL     (kind = 4), DIMENSION(*), INTENT(OUT) :: data7d_k4(:,:,:,:,:,:,:)
+      CALL cxios_read_data_k47_hdl(field_hdl%daddr, data7d_k4, &
+                                size(data7d_k4, 1), size(data7d_k4, 2), size(data7d_k4, 3), &
+                                size(data7d_k4, 4), size(data7d_k4, 5), size(data7d_k4, 6), &
+                                size(data7d_k4, 7))
+   END SUBROUTINE  xios(recv_field_r4_7d_hdl)
 
    SUBROUTINE  xios(recv_field_r4_7d)(fieldid, data7d_k4)
@@ -837,5 +1379,5 @@
       LOGICAL  (kind = C_BOOL)                      :: val
       CHARACTER(len  = *)              , INTENT(IN) :: varId
-      LOGICAL  , INTENT(OUT)                        :: data_logic
+      LOGICAL  ,INTENT(OUT)                         :: data_logic
       LOGICAL (C_BOOL)                              :: data_tmp
 
@@ -885,5 +1427,5 @@
    USE ISO_C_BINDING
    IMPLICIT NONE
-      LOGICAL  (kind = C_BOOL)                      :: val
+      LOGICAL  (kind = C_BOOL)                           :: val
       CHARACTER(len = *)               , INTENT(IN) :: varId
       INTEGER                          , INTENT(IN) :: data_int
@@ -897,7 +1439,7 @@
    USE ISO_C_BINDING
    IMPLICIT NONE
-      LOGICAL  (kind = C_BOOL)                      :: val
+      LOGICAL(kind = C_BOOL)                        :: val
       CHARACTER(len  = *)              , INTENT(IN) :: varId
-      LOGICAL  (kind = 4)              , INTENT(IN) :: data_logic
+      LOGICAL                          , INTENT(IN) :: data_logic
       LOGICAL  (kind = C_BOOL)                      :: data_tmp
 
@@ -906,5 +1448,4 @@
 
       xios(setVar_logic) = val
-
    END FUNCTION xios(setVar_logic)
 
Index: XIOS/dev/dev_ym/XIOS_COUPLING/src/interface/fortran/ixios_interfaces.F90
===================================================================
--- XIOS/dev/dev_ym/XIOS_COUPLING/src/interface/fortran/ixios_interfaces.F90	(revision 2115)
+++ XIOS/dev/dev_ym/XIOS_COUPLING/src/interface/fortran/ixios_interfaces.F90	(revision 2121)
@@ -11,8 +11,16 @@
                   xios(send_field_r4_0d), xios(send_field_r4_1d), xios(send_field_r4_2d), xios(send_field_r4_3d), &
                   xios(send_field_r4_4d), xios(send_field_r4_5d), xios(send_field_r4_6d), xios(send_field_r4_7d), &
+                  xios(send_field_r8_0d_hdl), xios(send_field_r8_1d_hdl), xios(send_field_r8_2d_hdl), xios(send_field_r8_3d_hdl), &
+                  xios(send_field_r8_4d_hdl), xios(send_field_r8_5d_hdl), xios(send_field_r8_6d_hdl), xios(send_field_r8_7d_hdl), &
+                  xios(send_field_r4_0d_hdl), xios(send_field_r4_1d_hdl), xios(send_field_r4_2d_hdl), xios(send_field_r4_3d_hdl), &
+                  xios(send_field_r4_4d_hdl), xios(send_field_r4_5d_hdl), xios(send_field_r4_6d_hdl), xios(send_field_r4_7d_hdl), &
                   xios(recv_field_r8_0d), xios(recv_field_r8_1d), xios(recv_field_r8_2d), xios(recv_field_r8_3d), &
                   xios(recv_field_r8_4d), xios(recv_field_r8_5d), xios(recv_field_r8_6d), xios(recv_field_r8_7d), &
                   xios(recv_field_r4_0d), xios(recv_field_r4_1d), xios(recv_field_r4_2d), xios(recv_field_r4_3d), &
                   xios(recv_field_r4_4d), xios(recv_field_r4_5d), xios(recv_field_r4_6d), xios(recv_field_r4_7d), &
+                  xios(recv_field_r8_0d_hdl), xios(recv_field_r8_1d_hdl), xios(recv_field_r8_2d_hdl), xios(recv_field_r8_3d_hdl), &
+                  xios(recv_field_r8_4d_hdl), xios(recv_field_r8_5d_hdl), xios(recv_field_r8_6d_hdl), xios(recv_field_r8_7d_hdl), &
+                  xios(recv_field_r4_0d_hdl), xios(recv_field_r4_1d_hdl), xios(recv_field_r4_2d_hdl), xios(recv_field_r4_3d_hdl), &
+                  xios(recv_field_r4_4d_hdl), xios(recv_field_r4_5d_hdl), xios(recv_field_r4_6d_hdl), xios(recv_field_r4_7d_hdl), &
                   xios(getVar_k8), xios(getVar_k4), xios(getVar_int), xios(getVar_logic), xios(getVar_char),      &
                   xios(setVar_k8), xios(setVar_k4), xios(setVar_int), xios(setVar_logic), xios(setVar_char)
@@ -239,5 +247,9 @@
                    xios(send_field_r8_4d), xios(send_field_r8_5d), xios(send_field_r8_6d), xios(send_field_r8_7d), &
                    xios(send_field_r4_0d), xios(send_field_r4_1d), xios(send_field_r4_2d), xios(send_field_r4_3d), &
-                   xios(send_field_r4_4d), xios(send_field_r4_5d), xios(send_field_r4_6d), xios(send_field_r4_7d)
+                   xios(send_field_r4_4d), xios(send_field_r4_5d), xios(send_field_r4_6d), xios(send_field_r4_7d), &
+                   xios(send_field_r8_0d_hdl), xios(send_field_r8_1d_hdl), xios(send_field_r8_2d_hdl), xios(send_field_r8_3d_hdl), &
+                   xios(send_field_r8_4d_hdl), xios(send_field_r8_5d_hdl), xios(send_field_r8_6d_hdl), xios(send_field_r8_7d_hdl), &
+                   xios(send_field_r4_0d_hdl), xios(send_field_r4_1d_hdl), xios(send_field_r4_2d_hdl), xios(send_field_r4_3d_hdl), &
+                   xios(send_field_r4_4d_hdl), xios(send_field_r4_5d_hdl), xios(send_field_r4_6d_hdl), xios(send_field_r4_7d_hdl)
 END INTERFACE xios(send_field)
 
@@ -246,5 +258,9 @@
                    xios(recv_field_r8_4d), xios(recv_field_r8_5d), xios(recv_field_r8_6d), xios(recv_field_r8_7d), &
                    xios(recv_field_r4_0d), xios(recv_field_r4_1d), xios(recv_field_r4_2d), xios(recv_field_r4_3d), &
-                   xios(recv_field_r4_4d), xios(recv_field_r4_5d), xios(recv_field_r4_6d), xios(recv_field_r4_7d)
+                   xios(recv_field_r4_4d), xios(recv_field_r4_5d), xios(recv_field_r4_6d), xios(recv_field_r4_7d), &
+                   xios(recv_field_r8_0d_hdl), xios(recv_field_r8_1d_hdl), xios(recv_field_r8_2d_hdl), xios(recv_field_r8_3d_hdl), &
+                   xios(recv_field_r8_4d_hdl), xios(recv_field_r8_5d_hdl), xios(recv_field_r8_6d_hdl), xios(recv_field_r8_7d_hdl), &
+                   xios(recv_field_r4_0d_hdl), xios(recv_field_r4_1d_hdl), xios(recv_field_r4_2d_hdl), xios(recv_field_r4_3d_hdl), &
+                   xios(recv_field_r4_4d_hdl), xios(recv_field_r4_5d_hdl), xios(recv_field_r4_6d_hdl), xios(recv_field_r4_7d_hdl)
 END INTERFACE xios(recv_field)
 
